Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040562
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2019-04-09 21:002019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision650a871f6cd2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040562: HelpWindow.generateWindow is not using bind-variables

DescriptionThis code is not using bind-variable:

      // Grid Configuration at Tab Level
      OBQuery<GCTab> tabGridConfigQuery = OBDal.getInstance()
          .createQuery(GCTab.class, "tab.window.id = '" + localStrKeyId + "'");
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00407123.0PR19Q2 closedalostale HelpWindow.generateWindow is not using bind-variables 
depends on backport 00407133.0PR19Q1.1 closedalostale HelpWindow.generateWindow is not using bind-variables 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111073)
hgbot (developer)
2019-04-11 08:44

Repository: erp/devel/pi
Changeset: 650a871f6cd242fe8c742984a533882eafe2ec7f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 08:32:00 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/650a871f6cd242fe8c742984a533882eafe2ec7f [^]

fixed issue 40562: HelpWindow.generateWindow is not using bind-variables

---
M src/org/openbravo/erpCommon/ad_help/HelpWindow.java
---
(0111095)
caristu (developer)
2019-04-12 08:26

Reviewed
(0111381)
shuehner (administrator)
2019-04-30 11:51

Reopening just to schedule backports
(0111967)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 21:00 shuehner New Issue
2019-04-09 21:00 shuehner Assigned To => platform
2019-04-09 21:00 shuehner Modules => Core
2019-04-09 21:00 shuehner Triggers an Emergency Pack => No
2019-04-09 21:01 shuehner Relationship added blocks 0038136
2019-04-11 08:41 alostale Assigned To platform => alostale
2019-04-11 08:42 alostale Review Assigned To => caristu
2019-04-11 08:44 hgbot Checkin
2019-04-11 08:44 hgbot Note Added: 0111073
2019-04-11 08:44 hgbot Status new => resolved
2019-04-11 08:44 hgbot Resolution open => fixed
2019-04-11 08:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/650a871f6cd242fe8c742984a533882eafe2ec7f [^]
2019-04-12 08:26 caristu Note Added: 0111095
2019-04-12 08:26 caristu Status resolved => closed
2019-04-12 08:26 caristu Fixed in Version => 3.0PR19Q3
2019-04-30 11:51 shuehner Note Added: 0111381
2019-04-30 11:51 shuehner Status closed => new
2019-04-30 11:51 shuehner Resolution fixed => open
2019-04-30 11:51 shuehner Fixed in Version 3.0PR19Q3 =>
2019-04-30 11:52 shuehner Status new => scheduled
2019-04-30 11:52 shuehner Status scheduled => resolved
2019-04-30 11:52 shuehner Fixed in Version => 3.0PR19Q3
2019-04-30 11:52 shuehner Resolution open => fixed
2019-04-30 11:52 shuehner Status resolved => closed
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111967


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker